#version 430

in PipelineData {
    vec4 position;
    vec2 texture_coordinate;
} fs_in;

layout (binding = 0) uniform sampler2D heightmap;

out vec4 color;

void main() {
    vec4 diffuse_texel = texture(heightmap, fs_in.texture_coordinate);
    color = vec4(diffuse_texel);
}